Package org.eclipse.birt.report.model.api.extension

# Class ExtendedElementException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.model.api.ModelException
org.eclipse.birt.report.model.api.activity.SemanticException
org.eclipse.birt.report.model.api.extension.ExtendedElementException

All Implemented Interfaces:
  `Serializable`

public class ExtendedElementException extends SemanticException
Base class for all peer-provided exceptions. The easiest implementation is to simply wrap the specialized peer implementation inside one of these exceptions.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LINE_NUMBER`
Number of line.
`static final String`
`LOCALIZED_MESSAGE`
Localized message.
`protected HashMap<String,Object>`
`properties`
Hash map for the extended element exception properties
`static final String`
`SUB_EDITOR`
The reference to the editor.For example graphic editor, xml source editor, script editor and so on.

### Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

### Fields inherited from class org.eclipse.birt.report.model.api.ModelException

`PLUGIN_ID`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, String pluginId, String errorCode, Object[] args, Throwable cause)`
Constructs a new model exception.
`ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, String pluginId, String errorCode, Object[] args, ResourceBundle bundle)`
Constructs a new model exception.
`ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, String pluginId, String errorCode, Object[] args, ResourceBundle bundle, Throwable cause)`
Constructs a new model exception.
`ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, String pluginId, String errorCode, Object arg0, ResourceBundle bundle)`
Constructs a new model exception.
`ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, String pluginId, String errorCode, Object arg0, ResourceBundle bundle, Throwable cause)`
Constructs a new model exception.
`ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, String pluginId, String errorCode, ResourceBundle bundle)`
Constructs a new model exception with no cause object.
`ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, String pluginId, String errorCode, ResourceBundle bundle, Throwable cause)`
Constructs a new model exception.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalizedMessage()`
Returns localized message.
`Object`
`getProperty(String propName)`
Returns extended element exception properties.
`void`
`setProperty(String propName, Object value)`
Sets extended element exception properties.

### Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`getElement, getElementName, getMessage`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SUB_EDITOR

public static final String SUB_EDITOR
The reference to the editor.For example graphic editor, xml source editor, script editor and so on.

See Also:
  - Constant Field Values

### LINE_NUMBER

public static final String LINE_NUMBER
Number of line.

See Also:
  - Constant Field Values

### LOCALIZED_MESSAGE

public static final String LOCALIZED_MESSAGE
Localized message.

See Also:
  - Constant Field Values

### properties

protected HashMap<String,Object> properties
Hash map for the extended element exception properties

## Constructor Details

### ExtendedElementException

public ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, String pluginId, String errorCode, ResourceBundle bundle)
Constructs a new model exception with no cause object.

Parameters:
  `element` - The element with semantic error.
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `bundle` - the resourceBundle used to translate the message.

### ExtendedElementException

public ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, String pluginId, String errorCode, ResourceBundle bundle, Throwable cause)
Constructs a new model exception.

Parameters:
  `element` - The element with semantic error.
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `bundle` - the resourceBundle used to translate the message.
  `cause` - the nested exception

### ExtendedElementException

public ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, String pluginId, String errorCode, Object[] args, ResourceBundle bundle, Throwable cause)
Constructs a new model exception.

Parameters:
  `element` - The element with semantic error.
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `args` - string arguments used to format error messages
  `bundle` - the resourceBundle used to translate the message.
  `cause` - the nested exception

### ExtendedElementException

public ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, String pluginId, String errorCode, Object arg0, ResourceBundle bundle, Throwable cause)
Constructs a new model exception.

Parameters:
  `element` - The element with semantic error.
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `arg0` - first argument used to format error messages
  `bundle` - the resourceBundle used to translate the message.
  `cause` - the nested exception

### ExtendedElementException

public ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, String pluginId, String errorCode, Object[] args, ResourceBundle bundle)
Constructs a new model exception.

Parameters:
  `element` - The element with semantic error.
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `args` - string arguments used to format error messages
  `bundle` - the resourceBundle used to translate the message.

### ExtendedElementException

public ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, String pluginId, String errorCode, Object arg0, ResourceBundle bundle)
Constructs a new model exception.

Parameters:
  `element` - The element with semantic error.
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `arg0` - first argument used to format error messages
  `bundle` - the resourceBundle used to translate the message.

### ExtendedElementException

public ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, String pluginId, String errorCode, Object[] args, Throwable cause)
Constructs a new model exception.

Parameters:
  `element` - The element with semantic error.
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `args` - string arguments used to format error messages
  `cause` - the nested exception

## Method Details

### setProperty

public void setProperty(String propName, Object value)
Sets extended element exception properties.

Parameters:
  `propName` - property name of extended element exception.
  `value` - value of extended element exception.

### getProperty

public Object getProperty(String propName)
Returns extended element exception properties.

Parameters:
  `propName` - property name of extended element exception.
Returns:
  value of extended element exception.

### getLocalizedMessage

public String getLocalizedMessage()
Returns localized message.

Overrides:
  `getLocalizedMessage` in class `SemanticException`
Returns:
  localized message.